Results 1 to 3 of 3

Thread: Unable to install perl modules - Net::SSH::Perl

  1. #1
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,036

    Default Unable to install perl modules - Net::SSH::Perl

    Hello.

    For installing ldap-account-manager, I need to install Net::SSH:erl.

    I am unable to install this module.
    Compile freeze on "make test"

    I tried to re-install bundle with success
    ( cpan install Bundle::CPAN )


    Any help is welcome.

    ++++++++++++++++++++++++++++++++++++++++++

    cpan[4]> install Net::SSH:erl
    Running install for module 'Net::SSH:erl'
    Running make for D/DB/DBROBINS/Net-SSH-Perl-1.30.tar.gz
    CPAN: LWP::UserAgent loaded ok (v2.036)

    I would like to connect to one of the following sites to get 'authors/id/D/DB/DBROBINS/Net-SSH-Perl-1.30.tar.gz':

    CPAN
    ftp://ftp.perl.org/pub/CPAN/

    Is it OK to try to connect to the Internet? [yes]
    Fetching with LWP:
    http://www.perl.org/CPAN/authors/id/...rl-1.30.tar.gz
    CPAN: YAML loaded ok (v0.66)
    CPAN: Digest::SHA loaded ok (v5.47)
    Fetching with LWP:
    http://www.perl.org/CPAN/authors/id/...BINS/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/D/DB/DBROBINS/Net-SSH-Perl-1.30.tar.gz ok
    Scanning cache /root/.cpan/build for sizes
    .....................................................................-------DONE
    DEL(1/1): /root/.cpan/build/Bundle-CPAN-1.857
    Net-SSH-Perl-1.30/
    Net-SSH-Perl-1.30/lib/
    Net-SSH-Perl-1.30/lib/Net/
    Net-SSH-Perl-1.30/lib/Net/SSH/
    Net-SSH-Perl-1.30/lib/Net/SSH/Perl/
    - - - - - - - - - - - - - - - - - - - - - - - - - -
    - - - - - - - - - - - - - - - - - - - - - - - - - -
    - - - - - - - - - - - - - - - - - - - - - - - - - -
    Net-SSH-Perl-1.30/MANIFEST.SKIP
    Net-SSH-Perl-1.30/ToDo
    Net-SSH-Perl-1.30/Makefile.PL
    CPAN: File::Temp loaded ok (v0.20)

    CPAN.pm: Going to build D/DB/DBROBINS/Net-SSH-Perl-1.30.tar.gz

    This is Net::SSH:erl.

    As of version 1.00, Net::SSH:erl supports both the SSH1 and
    SSH2 protocols natively. The two protocols have different
    module prerequisitives, so you need to decide which protocol(s)
    you plan to use. If you use one or the other, only those modules
    for your chosen protocol will be installed; if you choose both,
    all of the supporting modules will be installed. Please choose
    the protocols you'd like to use from the following list ("Both"
    is the default).

    [1] SSH1
    [2] SSH2
    [3] Both SSH1 and SSH2

    Which protocol(s) do you plan to use? [3]

    Some of the Net::SSH:erl ciphers depend on a Crypt:: module from
    CPAN. You may already have the necessary modules installed, in which
    case you don't need to bother with this step. Otherwise you'll need
    to install at least one cipher to use Net::SSH:erl. Please choose
    at least one from the following list (Crypt::IDEA is the default).

    [1] IDEA
    [2] DES
    [3] DES3
    [4] Blowfish
    [5] RC4

    Enter your choices, separated by spaces: [1]

    Checking for optional modules

    Checking if your kit is complete...
    Looks good
    Writing Makefile for Net::SSH:erl
    cp lib/Net/SSH/Perl/Agent.pm blib/lib/Net/SSH/Perl/Agent.pm
    cp lib/Net/SSH/Perl/Auth/KeyboardInt.pm blib/lib/Net/SSH/Perl/Auth/KeyboardInt.pm
    cp lib/Net/SSH/Perl/Util/RSA.pm blib/lib/Net/SSH/Perl/Util/RSA.pm
    cp lib/Net/SSH/Perl/AuthMgr.pm blib/lib/Net/SSH/Perl/AuthMgr.pm
    - - - - - - - - - - - - - - - - - - - - - - - - - -
    - - - - - - - - - - - - - - - - - - - - - - - - - -
    - - - - - - - - - - - - - - - - - - - - - - - - - -
    Manifying blib/man3/Net::SSH:erl::Channel.3pm
    Manifying blib/man3/Net::SSH:erl::SSH1.3pm
    Manifying blib/man3/Net::SSH:erl::Cipher:ES.3pm
    Manifying blib/man3/Net::SSH:erl::Key::RSA.3pm
    Manifying blib/man3/Net::SSH:erl:acket.3pm
    DBROBINS/Net-SSH-Perl-1.30.tar.gz
    /usr/bin/make -- OK
    Running make test
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
    t/01-compile.....ok
    t/02-buffer......ok
    t/03-packet......1/10

  2. #2
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,036

    Default Re: Unable to install perl modules - Net::SSH::Perl

    Please, I need help.

  3. #3
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Unable to install perl modules - Net::SSH::Perl

    I suspect the reason is some of the tests assume connectivity which you don't have or need to set up, and doesn't mean anything is wrong with the module, just that not all the tests can be run from where you are.

    You could use the force action to the CPAN shell to install anyway without testing. Or download the package, unpack, build and install manually.

    Code:
    # fetch Net-SSH-Perl-1.30.tar.gz by your preferred means
    tar zxvf Net-SSH-Perl-1.30.tar.gz
    cd Net-SSH-Perl-1.30
    perl Makefile.PL
    # you may need to answer some prompts here
    make
    make install
    Of course, it's up to you to work out if the module is working correctly for your application later.

    Only the make install needs to be done as root.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •